Skip to end of metadata
Go to start of metadata

Problem

A JOC Cockpit container has worked for some time - however after upgrading to a newer version of JS7, the Docker container does not start and reports the following error from its logs:

Docker container log example
** ERROR: Oops! Jetty doesn't appear to be installed in /opt/sos-berlin.com/js7/joc/jetty
** ERROR:  /opt/sos-berlin.com/js7/joc/jetty/start.jar is not readable!

Analysis

This problem can be caused by an updated base image of JOC Cockpit. SOS frequently updates JS7 Docker images to use newer versions of the Alpine Linux base image in order to ship images with latest vulnerability fixes.

  • Starting from JS7 release 2.2.1 the Alpine Linux version 3.15 is used. This version of Alpine Linux requires Docker version 20.10 or newer to be in use.
    • Docker versions < 20.10 will not work with JOC Cockpit containers newer than 2.2.0, however, they might work with newer Controller and Agent containers.
  • Similar problems can occur for later versions of Alpine Linux and Docker. Users should therefore check that they are not using a Docker release that is too far behind requirements of current Alpine Linux releases.


Write a comment…